Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002855Piwigousers & groupspublic2013.03.01 17:452013.10.25 10:52
Reportereric 
Assigned Toflop25 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApacheOSLinuxOS Version2.2.x
Product Version2.4.7 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002855: New sub-album and permission inheritance from parent
DescriptionConsidering virtual albums as all private with access permissions set for users groups or single users. On new sub-album creation, it does not inherit permissions from parent album.

An admin have to set permissions again from parent album recursively to childs.

Adding an option (in local config ?) for automatic inheritance would be nice.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0000352closed Default permissions on subcategories: Managment of access rights by inherintance 

-  Notes
(0007046)
svn (reporter)
2013.06.16 21:52

[Subversion] r23272 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2855
new otpion "inherit" for create_virtual_category(), and $conf['inheritance_by_default'] = false;
ToDo: album registred from Ftp
(0007052)
svn (reporter)
2013.06.19 22:39

[Subversion] r23376 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2855
$conf['inheritance_by_default'] applies on FTP added albums
(0007060)
svn (reporter)
2013.06.21 16:09

[Subversion] r23428 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2855
take care if no parent album, and propagate the permissions
ToDo: check "Apply to sub" checkbox if $conf inheritance_by_default is true, optimizations
(0007061)
svn (reporter)
2013.06.21 16:48

[Subversion] r23430 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2855
check "Apply to sub" checkbox if $conf inheritance_by_default is true
add admins to the users granted
optimizations
(0007095)
flop25 (developer)
2013.07.09 15:31

bug if no parent and if virtual created
(0007096)
svn (reporter)
2013.07.09 15:37

[Subversion] r23886 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2855
bug corrected (if that was a virtual album created without parent)

- Issue History
Date Modified Username Field Change
2013.03.01 17:45 eric New Issue
2013.03.01 17:45 eric browser => any
2013.03.01 17:45 eric Web server => Apache 1.3.x
2013.03.01 17:45 eric Relationship added related to 0000352
2013.03.02 10:37 plg Target Version => 2.6.0beta1
2013.03.02 10:37 plg Summary New sub-albums do not inherit group / user permissions from parent => New sub-album and permission inheritance from parent
2013.06.16 20:47 flop25 Status new => assigned
2013.06.16 20:47 flop25 Assigned To => flop25
2013.06.16 21:52 svn Checkin
2013.06.16 21:52 svn Note Added: 0007046
2013.06.19 22:39 svn Checkin
2013.06.19 22:39 svn Note Added: 0007052
2013.06.21 16:09 svn Checkin
2013.06.21 16:09 svn Note Added: 0007060
2013.06.21 16:48 svn Checkin
2013.06.21 16:48 svn Note Added: 0007061
2013.06.23 22:39 plg Target Version 2.6.0beta1 => 2.6.0beta2
2013.06.28 20:19 flop25 Status assigned => feedback
2013.07.09 15:31 flop25 Note Added: 0007095
2013.07.09 15:37 svn Checkin
2013.07.09 15:37 svn Note Added: 0007096
2013.10.25 10:52 flop25 Status feedback => closed
2013.10.25 10:52 flop25 Resolution open => fixed
2013.10.25 10:52 flop25 Fixed in Version => 2.6.0beta2


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker